Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		streamtuner
Version:	0.99.99
Release:	7
License:	GNU/GPL 
URL:		http://www.nongnu.org/streamtuner/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	streamtuner is a stream directory browser.
BuildRequires:	python-devel gtk2+-devel pango-devel atk-devel
BuildRequires:	libxml2-devel PyGTK-devel curl-devel scrollkeeper

%description
streamtuner is a stream directory browser.
Through the use of a plugin system, it offers an intuitive GTK+ 2.0 interface
to Internet radio directories such as SHOUTcast and Live365.
For more details see: http://www.nongnu.org/streamtuner/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -desktop

%build
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/%{name}
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.99.99-7
- rebuild against curl 7.17.7
* Sun Nov 13 2005 Christian Wasem <wasem@ccux-linux.de> 0.99.99-6
- rebuilt, removed wrong Obsoletes-Tag
* Sat Jul 16 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.99-5
- rebuilt against openssl 0.9.8
* Wed Jul 06 2005 Christian Wasem <wasem@ccux-linux.de> 0.99.99-4
- rebuild for curl-7.14.0 
* Sun Jul 03 2005 Christian Wasem <wasem@ccux-linux.de> 0.99.99-3
- rebuild for python 2.4.1 and PyGTK 2.6.2 
